# Software Processes
In den 1950ern wurde Software an Seite der Hardware entwickelt
- Ziel dieser Prozesse war das komplette Produkt in einem einzigen Projekt zu entwerfen

## Classic Organizational Structure
- **Business or Client**
  - braucht neue Software/System
  - Definiert Kriterien, welche für die Vollständigkeit des Systems essenziell sind
  - Definiert _[requirements specification](IntroductionOOAD.md#requirements-in-software-engineering)_, welche das benötigte System beschreibt
- **Entwicklungsteam oder Software-Firma**
  - Bekommt _requirements specification_
  - Designt und entwickelt das System anhand der gegebenen Spezifikationen
  - Erstellt ein Handbuch
- **Operations Team**
  - Bekommt Handbuch
  - Nimmt Rechenschaft für das Laufen der Software auf sich
  - Gibt auftretende Fehler an das Entwicklungsteam weiter

## Waterfall Model
- Sequenzielle Ausführung der Phasen des [SDLC](IntroductionOOAD.md#software-development-lifecycle-sdlc)
  - Jede Phase wird mit einer Dokumentation des Schritts beendet
  - Iterationen sind nur zwischen zwei aufeinanderfolgenden Phasen möglich
- ![image_40.png](image_40.png)
- [![image_41.png](image_41.png)](SoftwareProcesses.md#classic-organizational-structure)

## Handling of Change: Implications
Ursprüngliches Projekt ist fertig - Kunde ist aber nicht glücklich
- Ein neues Projekt startet den SDLC neu
  - ![image_42.png](image_42.png)


## Neue Modelle
### V-Modell
![image_43.png](image_43.png)
### Spiral-Modell
![image_44.png](image_44.png)

## Agile
### The Agile Manifesto

# S41 Alle Folien